Eclipse Platform Release 3.7

## org.eclipse.jface.viewers
Class TableViewerColumn

    java.lang.Object
      org.eclipse.jface.viewers.ViewerColumn
          org.eclipse.jface.viewers.TableViewerColumn

    public final class TableViewerColumn

extends ViewerColumn

ViewerColumn implementation for TableViewer to enable column-specific label providers and editing support.

Since:
  3.3

Constructor Summary
`TableViewerColumn(TableViewer viewer, int style)` Creates a new viewer column for the given `TableViewer` on a new `TableColumn` with the given style bits.
`TableViewerColumn(TableViewer viewer, int style, int index)` Creates a new viewer column for the given `TableViewer` on a new `TableColumn` with the given style bits.
`TableViewerColumn(TableViewer viewer, TableColumn column)` Creates a new viewer column for the given `TableViewer` on the given `TableColumn`.

Method Summary
`TableColumn` `getColumn()`

Methods inherited from class org.eclipse.jface.viewers.ViewerColumn
`getViewer, handleDispose, setEditingSupport, setLabelProvider`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TableViewerColumn

    public TableViewerColumn(TableViewer viewer,
                             int style)

  Creates a new viewer column for the given `TableViewer` on a new `TableColumn` with the given style bits. The column is added at the end of the list of columns.

  Parameters:
    `viewer` - the table viewer to which this column belongs
    `style` - the style used to create the column, for applicable style bits see `TableColumn`
  See Also:
    `TableColumn.TableColumn(Table, int)`

### TableViewerColumn

    public TableViewerColumn(TableViewer viewer,
                             int style,
                             int index)

  Creates a new viewer column for the given `TableViewer` on a new `TableColumn` with the given style bits. The column is inserted at the given index into the list of columns.

  Parameters:
    `viewer` - the table viewer to which this column belongs
    `style` - the style used to create the column, for applicable style bits see `TableColumn`
    `index` - the index at which to place the newly created column
  See Also:
    `TableColumn.TableColumn(Table, int, int)`

### TableViewerColumn

    public TableViewerColumn(TableViewer viewer,
                             TableColumn column)

  Creates a new viewer column for the given `TableViewer` on the given `TableColumn`.

  Parameters:
    `viewer` - the table viewer to which this column belongs
    `column` - the underlying table column

Method Detail

### getColumn

    public TableColumn getColumn()

  Returns:
    the underlying SWT table column

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.